--- cvs-autoreleasedeb-0.12.orig/debian/changelog
+++ cvs-autoreleasedeb-0.12/debian/changelog
@@ -0,0 +1,208 @@
+cvs-autoreleasedeb (0.12-1) unstable; urgency=low
+
+ * Some fixes in svn-autoreleasedeb. Now supports "local" option
+ usefull for building with pdebuild and having a local repository
+ * Better definition of the cron file and the defaults file.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Wed, 16 Aug 2006 11:37:59 +0100
+
+cvs-autoreleasedeb (0.11-2) unstable; urgency=low
+
+ * Subversion package isn't called svn, fixing dependencies (closes: #381958)
+
+ -- Daniel Ruoso <daniel@ruoso.com> Wed, 9 Aug 2006 09:35:55 +0100
+
+cvs-autoreleasedeb (0.11-1) unstable; urgency=low
+
+ * Add suport for svn-buildpackage also
+
+ -- Daniel Ruoso <daniel@ruoso.com> Fri, 4 Aug 2006 12:39:54 +0100
+
+cvs-autoreleasedeb (0.10-1) unstable; urgency=low
+
+ * Support for new parameter on packages "tag" that
+ allows checkout from a specific tag, different from
+ HEAD.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Wed, 16 Nov 2005 18:50:19 -0300
+
+cvs-autoreleasedeb (0.9-1) unstable; urgency=low
+
+ * Removing epoch numbers when accessing .changes
+ file (closes: #309823).
+
+ -- Daniel Ruoso <daniel@ruoso.com> Tue, 27 Sep 2005 14:20:42 -0300
+
+cvs-autoreleasedeb (0.8-2) unstable; urgency=low
+
+ * Debconf is not a dependency anymore.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Tue, 26 Sep 2005 17:11:20 -0300
+
+cvs-autoreleasedeb (0.8-1) unstable; urgency=low
+
+ * Now uses AptPkg to compare versions (closes: #299632).
+
+ -- Daniel Ruoso <daniel@ruoso.com> Tue, 15 Mar 2005 16:48:59 -0300
+
+cvs-autoreleasedeb (0.7-1) unstable; urgency=low
+
+ * Logrotate now avoids rotating the rotated files and generating
+ large number of files (closes: #266678).
+
+ -- Daniel Ruoso <daniel@ruoso.com> Wed, 18 Aug 2004 20:32:31 -0300
+
+cvs-autoreleasedeb (0.6-1) unstable; urgency=low
+
+ * Added missingok in logrotate config file (closes Bug: #255925).
+ * Now avoid two instances of cvs-autoreleasedeb using a lockfile
+ (closes Bug: #239588).
+
+ -- Daniel Ruoso <daniel@ruoso.com> Mon, 9 Aug 2004 17:37:03 -0300
+
+cvs-autoreleasedeb (0.5-3) unstable; urgency=low
+
+ * Now removes the log file and var files in purge.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 26 Feb 2004 10:56:05 -0300
+
+cvs-autoreleasedeb (0.5-2) unstable; urgency=low
+
+ * Some changes in postrm and rules
+
+ -- Daniel Ruoso <daniel@ruoso.com> Fri, 20 Feb 2004 10:33:55 -0300
+
+cvs-autoreleasedeb (0.5-1) unstable; urgency=low
+
+ * New upstream version. Now if something got wrong
+ with some package it will try again in the next run.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 19 Feb 2004 15:38:48 -0300
+
+cvs-autoreleasedeb (0.4-1) unstable; urgency=low
+
+ * New upstream version. Now '-F' is not passed to
+ cvs-buildpackage, you should use it as one of the
+ server options if you want to do so. This means that
+ you must tag the sources yourself.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Tue, 3 Feb 2004 15:28:32 -0300
+
+cvs-autoreleasedeb (0.3-2) unstable; urgency=low
+
+ * Put the log file into /var/log/cvs-autoreleasedeb/ with the correct
+ permissions. (closes Bug:#209180)
+ * conffiles not needed anymore
+ * Updated standards version from 3.5.2 to 3.5.10.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Mon, 8 Sep 2003 13:05:42 -0300
+
+cvs-autoreleasedeb (0.3-1) unstable; urgency=low
+
+ * Correct call to cvs-buildpackage to include prefix (used in cvs rtag)
+ * Registering cron file in the package (closes Bug:#148398).
+ * Not asking the user if he wants to run cvs-autoreleasedeb in cron,
+ now uses /etc/default/cvs-autoreleasedeb to do that. (closes Bug:#205778) (closes Bug:#207121)
+ * Include configuration for log rotation
+
+ -- Daniel Ruoso <daniel@ruoso.com> Fri, 08 Aug 2003 11:24:26 -0300
+
+cvs-autoreleasedeb (0.2-4) unstable; urgency=low
+
+ * Fixed some minor issues for upload.
+
+ -- Ola Lundqvist <opal@debian.org> Wed, 8 May 2002 21:43:50 +0200
+
+cvs-autoreleasedeb (0.2-3) unstable; urgency=low
+
+ * Changing the format of the config file
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 25 Apr 2002 15:44:48 -0300
+
+cvs-autoreleasedeb (0.2-2) unstable; urgency=low
+
+ * Included server options
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 24 Apr 2002 19:19:14 -0300
+
+cvs-autoreleasedeb (0.2-1) unstable; urgency=low
+
+ * Included pre-dependency
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 22 Apr 2002 14:07:57 -0300
+
+cvs-autoreleasedeb (0.2) unstable; urgency=low
+
+ * Now uses debconf for asking the user if he wants to run cvs-autoreleasedeb in cron
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 22 Apr 2002 10:45:56 -0300
+
+cvs-autoreleasedeb (0.1-4) unstable; urgency=low
+
+ * First try with debconf
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 22 Apr 2002 09:01:19 -0300
+
+cvs-autoreleasedeb (0.1-3) unstable; urgency=low
+
+ * Applying patches from "Ola Lundqvist" <opal@debian.org>, who is
+ sponsoring the package, for better packaging.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 05 Apr 2002 17:23:09 -0300
+
+cvs-autoreleasedeb (0.1-2) unstable; urgency=low
+
+ * Using dh_make to regenerate the control files
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 04 Mar 2002 23:55:14 -0300
+
+cvs-autoreleasedeb (0.1-1) unstable; urgency=low
+
+ * First functional release. Upstream version going up.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 29 Mar 2002 19:35:07 -0300
+
+cvs-autoreleasedeb (0.01-6) unstable; urgency=low
+
+ * Create and Remove the cvs-autoreleasedeb user at package instalation
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 29 Mar 2002 19:35:07 -0300
+
+cvs-autoreleasedeb (0.01-5) unstable; urgency=low
+
+ * Use full filename for .changes in dupload
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 29 Mar 2002 19:41:17 -0300
+
+cvs-autoreleasedeb (0.01-4) unstable; urgency=low
+
+ * Removing lintian warnings and errors
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 29 Mar 2002 19:35:07 -0300
+
+cvs-autoreleasedeb (0.01-3) unstable; urgency=low
+
+ * Created the manpage for the config file.
+
+ * Changes in the script's manpage.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 29 Mar 2002 19:30:50 -0300
+
+cvs-autoreleasedeb (0.01-2) unstable; urgency=low
+
+ * Now it works good for normal user, reading the configuration
+ from the user's directory if username not equal to
+ cvs-autoreleasedeb. This change puts the debrsign phase of
+ packaging in the TODO list, because the user can run this
+ script manually and then type the passphrase.
+
+ * Documentation for the binary is better, but the manpage for
+ the config file remains as a bug.
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 28 Mar 2002 16:04:10 -0300
+
+cvs-autoreleasedeb (0.01-1) unstable; urgency=low
+
+ * Initial Release
+
+ -- Daniel Ruoso <daniel@ruoso.com> Thu, 21 Mar 2002 11:14:36 -0300
--- cvs-autoreleasedeb-0.12.orig/debian/control
+++ cvs-autoreleasedeb-0.12/debian/control
@@ -0,0 +1,47 @@
+Source: cvs-autoreleasedeb
+Section: devel
+Priority: optional
+Maintainer: Daniel Ruoso <daniel@ruoso.com>
+Build-Depends: debhelper (>> 4.0.0), perl
+Build-Depends-Indep: debhelper (>> 4.0.0), perl
+Standards-Version: 3.7.2.1
+
+Package: cvs-autoreleasedeb
+Architecture: all
+Depends: dpkg-dev, fakeroot, cvs, ${perl:Depends}, libxml-parser-perl, dupload, cvs-buildpackage, libapt-pkg-perl, adduser
+Description: Automatically release/upload debian packages from CVS
+ This package provides the capability of automatically publish a
+ deb package directly from the CVS source. The CVS source must be
+ already in the format managed by cvs-buildpackage, since
+ cvs-buildpackage will be used to generate the deb.
+ .
+ This package is useful to release the 'unstable' version of a
+ software. The control of when to release the deb is made by
+ watching the debian/changelog file. This script maintains a list
+ of which packages to automate and the version they are. Every
+ time you increases the version in changelog, the package you are
+ working will be generated.
+ .
+ It will also call dupload to send the generated package to
+ your deb server (which can be the main debian server or your
+ software house's debian server).
+
+Package: svn-autoreleasedeb
+Architecture: all
+Depends: dpkg-dev, fakeroot, subversion, ${perl:Depends}, libxml-parser-perl, dupload, svn-buildpackage, libapt-pkg-perl, adduser
+Description: Automatically release/upload debian packages from SVN
+ This package provides the capability of automatically publish a
+ deb package directly from the SVN source. The SVN source must be
+ already in the format managed by svn-buildpackage, since
+ svn-buildpackage will be used to generate the deb.
+ .
+ This package is useful to release the 'unstable' version of a
+ software. The control of when to release the deb is made by
+ watching the debian/changelog file. This script maintains a list
+ of which packages to automate and the version they are. Every
+ time you increases the version in changelog, the package you are
+ working will be generated.
+ .
+ It will also call dupload to send the generated package to
+ your deb server (which can be the main debian server or your
+ software house's debian server).
--- cvs-autoreleasedeb-0.12.orig/debian/copyright
+++ cvs-autoreleasedeb-0.12/debian/copyright
@@ -0,0 +1,25 @@
+This package was debianized by Daniel Ruoso <daniel@ruoso.com> on
+Thu, 21 Mar 2002 11:14:36 -0300.
+
+This source was first created to internal use in Oktiva
+http://www.oktiva.com.br
+
+Copyright:
+
+Copyright (C) 2002 Daniel Ruoso
+
+This is free software; you can redistribute it and/or modify it under
+the terms of the GNU General Public License as published by the Free
+Software Foundation; either version 2, or (at your option) any later
+version.
+
+This is distributed in the hope that it will be useful, but WITHOUT
+ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+for more details.
+
+You should have received a copy of the GNU General Public License with
+your Debian GNU/Linux system, in /usr/share/common-licenses/GPL, or
+with the dpkg source package as the file COPYING. If not, write to
+the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+Boston, N: MA 02110-1301, USA.
--- cvs-autoreleasedeb-0.12.orig/debian/cvs-autoreleasedeb.manpages
+++ cvs-autoreleasedeb-0.12/debian/cvs-autoreleasedeb.manpages
@@ -0,0 +1,2 @@
+cvs-autoreleasedeb.1
+cvs-autoreleasedeb.conf.5
--- cvs-autoreleasedeb-0.12.orig/debian/cvs-autoreleasedeb.postinst
+++ cvs-autoreleasedeb-0.12/debian/cvs-autoreleasedeb.postinst
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ addgroup --system cvs-ardeb || true;
+ adduser --system --home /var/lib/cvs-autoreleasedeb --ingroup cvs-ardeb cvs-autoreleasedeb || true;
+ chown cvs-autoreleasedeb:cvs-ardeb /var/lib/cvs-autoreleasedeb || true;
+ chown cvs-autoreleasedeb:cvs-ardeb /var/log/cvs-autoreleasedeb;
+ break;
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
--- cvs-autoreleasedeb-0.12.orig/debian/cvs-autoreleasedeb.postrm
+++ cvs-autoreleasedeb-0.12/debian/cvs-autoreleasedeb.postrm
@@ -0,0 +1,35 @@
+#! /bin/sh
+# postrm script for cvs-autoreleasedeb
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ purge|abort-install|disappear)
+ userdel cvs-autoreleasedeb || true
+ groupdel cvs-ardeb || true
+ rm -rf /var/log/cvs-autoreleasedeb
+ rm -rf /var/lib/cvs-autoreleasedeb
+ ;;
+ remove|failed-upgrade|upgrade|abort-upgrade)
+ ;;
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+
+esac
+
+#DEBHELPER#
+
+exit 0
--- cvs-autoreleasedeb-0.12.orig/debian/cvs-autoreleasedeb.prerm
+++ cvs-autoreleasedeb-0.12/debian/cvs-autoreleasedeb.prerm
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
--- cvs-autoreleasedeb-0.12.orig/debian/rules
+++ cvs-autoreleasedeb-0.12/debian/rules
@@ -0,0 +1,62 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# This is the debhelper compatibility version to use.
+export DH_COMPAT=4
+
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+ CFLAGS += -g
+endif
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+ INSTALL_PROGRAM += -s
+endif
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ touch configure-stamp
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+ $(MAKE)
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+ -$(MAKE) clean
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+ $(MAKE) install-cvs DESTDIR=$(CURDIR)/debian/cvs-autoreleasedeb
+ $(MAKE) install-svn DESTDIR=$(CURDIR)/debian/svn-autoreleasedeb
+
+binary-arch: build install
+
+binary-indep: build install
+ dh_testdir -i
+ dh_testroot -i
+ dh_installdocs -i
+ dh_installcron -i
+ dh_installman -i
+ dh_installchangelogs -i
+ dh_link -i
+ dh_compress -i
+ dh_fixperms -i
+ dh_installdeb -i
+ dh_perl -i
+ dh_gencontrol -i
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+
+.PHONY: build clean binary-indep binary-arch binary install configure
--- cvs-autoreleasedeb-0.12.orig/debian/cvs-autoreleasedeb.dirs
+++ cvs-autoreleasedeb-0.12/debian/cvs-autoreleasedeb.dirs
@@ -0,0 +1,6 @@
+usr/bin
+etc
+etc/cron.d
+etc/default
+var/log/cvs-autoreleasedeb
+etc/logrotate.d
--- cvs-autoreleasedeb-0.12.orig/debian/svn-autoreleasedeb.manpages
+++ cvs-autoreleasedeb-0.12/debian/svn-autoreleasedeb.manpages
@@ -0,0 +1,2 @@
+svn-autoreleasedeb.1
+svn-autoreleasedeb.conf.5
--- cvs-autoreleasedeb-0.12.orig/debian/svn-autoreleasedeb.postinst
+++ cvs-autoreleasedeb-0.12/debian/svn-autoreleasedeb.postinst
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ addgroup --system svn-ardeb || true;
+ adduser --system --home /var/lib/svn-autoreleasedeb --ingroup svn-ardeb svn-autoreleasedeb || true;
+ chown svn-autoreleasedeb:svn-ardeb /var/lib/svn-autoreleasedeb || true;
+ chown svn-autoreleasedeb:svn-ardeb /var/log/svn-autoreleasedeb;
+ break;
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 0
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
--- cvs-autoreleasedeb-0.12.orig/debian/svn-autoreleasedeb.postrm
+++ cvs-autoreleasedeb-0.12/debian/svn-autoreleasedeb.postrm
@@ -0,0 +1,35 @@
+#! /bin/sh
+# postrm script for cvs-autoreleasedeb
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ purge|abort-install|disappear)
+ userdel svn-autoreleasedeb || true
+ groupdel svn-ardeb || true
+ rm -rf /var/log/svn-autoreleasedeb
+ rm -rf /var/lib/svn-autoreleasedeb
+ ;;
+ remove|failed-upgrade|upgrade|abort-upgrade)
+ ;;
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+
+esac
+
+#DEBHELPER#
+
+exit 0
--- cvs-autoreleasedeb-0.12.orig/debian/svn-autoreleasedeb.prerm
+++ cvs-autoreleasedeb-0.12/debian/svn-autoreleasedeb.prerm
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
--- cvs-autoreleasedeb-0.12.orig/debian/svn-autoreleasedeb.dirs
+++ cvs-autoreleasedeb-0.12/debian/svn-autoreleasedeb.dirs
@@ -0,0 +1,6 @@
+usr/bin
+etc
+etc/cron.d
+etc/default
+var/log/svn-autoreleasedeb
+etc/logrotate.d